@import url('https://fonts.googleapis.com/css2?family=Albert+Sans:ital,wght@0,100..900;1,100..900&family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.cdnfonts.com/css/nats');

* {
    box-sizing: border-box;
}

body {
    background-color: black;
    color: white;
    font-family: Albert Sans, sans-serif;
    margin: 0;
}

.container {
            padding: 25px;
            max-width: 100%;
            
        }
        
        header {
            height: 20vh;
            display: flex;
            justify-content: space-between;
            align-items: center;
            margin-top: -40px;
        }

.logo-name {
    display: flex;
    align-items: center;
    gap: 5px;
}

.logo img {
    width: 50px;
    height: 50px;
    background-color: yellow;
    border-radius: 50%;
}

.name {
    font-size: 20px;
    font-weight: bold;
    padding-left: 10px;
}

nav {
    display: flex;
    gap: 20px;
    margin-left: 50px;
    font-family: Nats;
    line-height: 1;
}

nav a {
    color: white;
    text-decoration: none;
    font-size: 18px;

}

nav a:hover {
    color: hotpink;
}

.grid-container {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 20px;
    margin-top: 30px;
    
    /* Fade-in animation */
    animation: fadeIn 1.5s ease-in-out forwards;
    opacity: 0;
}

/* Fade-in Animation */
@keyframes fadeIn {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

.about-section {
    grid-column: span 2;
    margin-left: 20px;
}

.empty-column {
    display: none;
}

.img-hyperlinks {
    grid-column: 3;
    margin-left: 20px;
    margin-top: 50px;
}



/* About Section Styles */
.about-section h1 {
    font-size: 25px;
    font-weight: 800;
    margin-bottom: 15px;
    color: white;
}

.about-section h2 {
    font-size: 20px;
    font-weight: 400;
    margin-bottom: 27px;
    color: white;
    margin-right: 5%;
}

.about-section h3 {
    font-size: 16px;
    font-weight: 400;
    margin-bottom: 15px;
    color: white;
    line-height: 1.2;
    margin-right: 5%
}

.resume-link {
    margin-top: 50px;
    font-family: Nats;
}

.resume-link a {
    display: flex;
    align-items: center;
    text-decoration: none;
    color: white;
    font-size: 22px;
    
}

.resume-link span {
    margin-left: 10px;
    text-decoration: underline; 
}

/* Social Links Styles */
.social-link {
    margin-bottom: 15px;
    
}

.social-link p:hover {
    color: hotpink;
}

.social-link img {
    width: 40px;
}

.social-link img:hover {
    transform: rotate(-30deg);
}

.social-link a {
    display: flex;
    align-items: center;
    text-decoration: none;
    color: white;
    font-family: Nats;
}

.social-link p {
    margin: 0;
    margin-left: 10px;
    font-family: Nats;
}

/* Navigation Buttons */
.navigation-buttons {
    position: relative;
    display: flex;
    justify-content: space-between;
    padding: 20px 15px;
    margin-top: 20px;
}

.close-button, .next-button {
    color: white;
    text-decoration: none;
    font-size: 14px;
    padding: 8px 12px;
    transition: all 0.3s ease;
}

.close-button {
    margin-left: 15px;
}

.next-button {
    margin-right: 15px;
}

.close-button:hover, .next-button:hover {
    color: hotpink;
}



/* Footer Styles */
footer {
    height: 15vh;
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    padding: 20px;
    font-size: 13px; 
    font-family: Nats;
    line-height: 1;
}

.footer-left, .footer-right {
    padding-bottom: 10px;
}

/* Responsive Design */
@media (max-width: 768px) {
    .grid-container {
        grid-template-columns: 1fr;
    }
    
    .about-section, .img-hyperlinks, .close-button {
        grid-column: 1;
    }
}

@media (min-width: 768px) {
    
    
    footer {
        padding: 20px;
    }
}